Module tdlight.api
Package it.tdlight.jni

# Class TdApi.FileType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.FileType

Direct Known Subclasses:
  `TdApi.FileTypeAnimation`, `TdApi.FileTypeAudio`, `TdApi.FileTypeDocument`, `TdApi.FileTypeNone`, `TdApi.FileTypePhoto`, `TdApi.FileTypeProfilePhoto`, `TdApi.FileTypeSecret`, `TdApi.FileTypeSecretThumbnail`, `TdApi.FileTypeSecure`, `TdApi.FileTypeSticker`, `TdApi.FileTypeThumbnail`, `TdApi.FileTypeUnknown`, `TdApi.FileTypeVideo`, `TdApi.FileTypeVideoNote`, `TdApi.FileTypeVoiceNote`, `TdApi.FileTypeWallpaper`

Enclosing class:
  TdApi

public abstract static class TdApi.FileType extends TdApi.Object
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`FileType()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FileType

public FileType()